.weather-card {
  .delete-btn {
    width: 20px;
    position: absolute;
    top: 10px;
    right: 28px;
    color: red;
    display: none;
    cursor: pointer;
    transition: all 2s cubic-bezier(0.445, 0.05, 0.55, 0.95) 0.3s;;
  }
  &:hover {
    .delete-btn {
      display: inherit;
    }
  }
  height: 30rem;
  cursor: pointer;
  background-color: white;
  box-shadow: 1rem 1rem 2rem rgba(0, 0, 255, 0.1);
  border-radius: 1.75rem;
  padding: 2rem;
  display: flex;
  flex-direction: column;
  .city-name {
    text-transform: uppercase;
    font-size: 1.4rem;
    letter-spacing: 0.1rem;
    margin-bottom: 1rem;
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .weather-icon-container {
    flex: 2;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .weather-data-container {
    flex: 3;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
  }
  .current-temp {
    font-size: 3rem;
  }
  .weather-stat {
    display: grid;
    grid-template-rows: 1fr;
    grid-template-columns: 1fr 1fr;
    -webkit-box-align: center;
    align-items: center;
    .weather-stat-col {
      margin: 1rem 3rem;
      display: grid;
      grid-template-columns: 1fr;
      grid-template-rows: 1fr 1fr;

      .weather-icon {
        height: 1.3rem;
        width: 1.3rem;
        margin: auto;
      }
      .temp-text {
        font-size: 2rem;
        text-align: center;
      }
      .temp-des {
        font-size: 1rem;
      }
      &.up {
        .weather-icon,
        .temp-des {
          color: red;
        }
      }
      &.down {
        .weather-icon,
        .temp-des {
          color: green;
        }
      }
    }
  }
}
